For the complete documentation index, see llms.txt. This page is also available as Markdown.

Verify a Verifiable Accreditation

Verify Verifiable Accreditations back to a Root of Trust using cheqd Studio.

Users are able to issue Verifiable Accreditations to determine the validity of the accreditation, as well to traverse the trust chain to a root of trust.

Step 1: Issue Accreditation

Make sure you have already created at least one Verifiable Accreditation that you are able to query in the verify API.

Step 2: Use the Verify Accreditation API

Verify a verifiable accreditation for a DID.

post
/trust-registry/accreditation/verify

Generate and publish a Verifiable Accreditation for a subject DID as a DID Linked resource.

Authorizations
x-api-keystringRequired
Query parameters
verifyStatusbooleanOptional

If set to true the verification will also check the status of the accreditation. Requires the VC to have a credentialStatus property.

Default: false
allowDeactivatedDidbooleanOptional

If set to true allow to verify accreditation which based on deactivated DID.

Default: false
Body
subjectDidstringRequired

DID of the Verifiable Accreditation holder/subject. This needs to be a did:key DID.

Example: did:cheqd:testnet:5efa5126-c070-420f-a9c2-d22ae6eefb92
didUrlstringOptional

DID URL of the Verifiable Accreditation to be verified as a VC-JWT string or a JSON object.

Example: did:cheqd:testnet:7c2b990c-3d05-4ebf-91af-f4f4d0091d2e?resourceName=cheqd-issuer-logo&resourceType=CredentialArtwork
didstringOptional

DID of the Verifiable Accreditation holder/subject

Example: did:cheqd:testnet:7c2b990c-3d05-4ebf-91af-f4f4d0091d2e
resourceIdstringOptional

Unique resource identifier of the Verifiable Accreditation

Example: 398cee0a-efac-4643-9f4c-74c48c72a14b
resourceNamestringOptional

Resource name of the Verifiable Accreditation

Example: cheqd-issuer-logo
resourceTypestringOptional

Resource type of the Verifiable Accreditation

Example: CredentialArtwork
Responses
200

The request was successful.

application/json
verifiedbooleanOptional
issuerstringOptional
signerobjectOptional
jwtstringOptional
verifiableCredentialobjectOptional
accreditorDidsstring[]Optional
rootAuthorizationobjectOptional
post/trust-registry/accreditation/verify
POST /trust-registry/accreditation/verify HTTP/1.1
Host: studio-api.cheqd.net
x-api-key: YOUR_API_KEY
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 500

"subjectDid='did:cheqd:testnet:5efa5126-c070-420f-a9c2-d22ae6eefb92'&didUrl='did:cheqd:testnet:7c2b990c-3d05-4ebf-91af-f4f4d0091d2e?resourceName=cheqd-issuer-logo&resourceType=CredentialArtwork'&did='did:cheqd:testnet:7c2b990c-3d05-4ebf-91af-f4f4d0091d2e'&resourceId='398cee0a-efac-4643-9f4c-74c48c72a14b'&resourceName='cheqd-issuer-logo'&resourceType='CredentialArtwork'&schemas=[{'types':['text'],'url':'text'}]&policies={'issuanceDate':true,'expirationDate':true,'audience':false}"
{
  "verified": true,
  "issuer": "text",
  "signer": {},
  "jwt": "text",
  "verifiableCredential": {},
  "accreditorDids": [
    "text"
  ],
  "rootAuthorization": {},
  "termsOfUse": {
    "type": "text",
    "trustFrameworkId": "text",
    "trustFramework": "text"
  }
}

Last updated

Was this helpful?